package oop.AnonymousInnerClass;

public class Interface {
	
	public interface Showable{
		
		void print();
	}
	
	// methode übernimmt ein Interface
	static void display(Showable s) {
		
		s.print();
	}
	
	public static void main (String[] args) {
		// Anonymous Inner Class mit methode
		display(new Showable() {
			
			@Override
			public void print() {
				System.out.print("von der Methode");
			}
		});
				
				
		
		// Anonymous Inner Class mit interface
		Showable showable = new Showable() {
			
			@Override
			public void print() {
				
				System.out.println("Hallo welt");
			}
		};
		
		showable.print();
	}
}
